imports:
    - { resource: tables.yml }
services:
    dmzx.hangmangame.listener:
        class: dmzx\hangmangame\event\listener
        arguments:
            - '@user'
            - '@template'
            - '@config'
            - '@controller.helper'
        tags:
            - { name: event.listener }
    dmzx.hangmangame.controller:
        class: dmzx\hangmangame\controller\main
        arguments:
            - '@dmzx.hangmangame.core.functions.hangmangame'
            - '@template'
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '@request'
            - '@config'
            - '@controller.helper'
            - '@pagination'
            - '%core.root_path%'
            - '%core.php_ext%'
            - '%dmzx.hangmangame.table.hangman.quess%'
            - '%dmzx.hangmangame.table.hangmangame.config%'
            - '%dmzx.hangmangame.table.hangmangame.words%'
            - '%dmzx.hangmangame.table.hangmangame.score%'
    dmzx.hangmangame.admin.controller:
        class: dmzx\hangmangame\controller\admin_controller
        arguments:
            - '@dmzx.hangmangame.core.functions.hangmangame'
            - '@template'
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '@request'
            - '@config'
            - '@controller.helper'
            - '@log'
            - '%dmzx.hangmangame.table.hangman.quess%'
            - '%dmzx.hangmangame.table.hangmangame.config%'
            - '%dmzx.hangmangame.table.hangmangame.words%'
            - '%dmzx.hangmangame.table.hangmangame.score%'
    dmzx.hangmangame.core.functions.hangmangame:
        class: dmzx\hangmangame\core\functions_hangmangame
        arguments:
            - '@template'
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '@config'
            - '@request'
            - '@ext.manager'
            - '%dmzx.hangmangame.table.hangman.quess%'
            - '%dmzx.hangmangame.table.hangmangame.config%'
            - '%dmzx.hangmangame.table.hangmangame.words%'
            - '%dmzx.hangmangame.table.hangmangame.score%'          